function result = picdiff(pic0, pic1)
% Display difference between pictures pic1 and pic2

figure;

% Accumulate number of wrong pixels
result = 0;

% Red  =  wrong,  Green = OK
cmap = [1 0 0; 0 1 0];

% Check luma
cmp = (pic0.Y == pic1.Y);
result = result + sum(sum(cmp == 0));
subplot(2,2,1);
imshow(cmp + 1, cmap);
title('Y')

% Check Cb
cmp = (pic0.Cb == pic1.Cb);
result = result + sum(sum(cmp == 0));
subplot(2,2,3);
imshow(cmp + 1, cmap);
title('Cb')

% Check Cr
cmp = (pic0.Cr == pic1.Cr);
result = result + sum(sum(cmp == 0));
subplot(2,2,4);
imshow(cmp + 1, cmap);
title('Cr')
