function pic = makeDiagonal(pic,color,ngrid)
    if (nargin < 2)
        color = 256;
    end
    if(nargin < 3)
        ngrid = 8;
    end
    for i=1:length(pic)
        pic(i,i) = color;
        pic(length(pic)-i+1,i) = color;
    end
    
    for j=1:ngrid %making grid
        pic(j*round(length(pic)/8),:) = color.*ones(1,length(pic));
        pic(:,j*round(length(pic)/8)) = color.*ones(length(pic),1);    
    end
    
end