x = 0:10; 
%y = 1+x.*sin(2*x)/10; 
y = [0 1 3 0 2 0.5 1 2 2 1 3];
xi = 0:.01:10;

% data generation
yi_n = interp1(x,y,xi,'nearest');
yi_l = interp1(x,y,xi,'linear'); 
yi_c = interp1(x,y,xi,'spline'); 

% plotting
close all

figure(1)
subplot(3,1,1)
hold on

stem(x,y,'ok','MarkerEdgeColor','k','MarkerFaceColor','k','MarkerSize',4)
plot(xi,yi_n,'b','LineWidth',2)
%axescenter()
axis([0 10 -1 5])
axis off
subplot(3,1,2)
hold on
stem(x,y,'ok','MarkerEdgeColor','k','MarkerFaceColor','k','MarkerSize',4)
plot(xi,yi_l,'b','LineWidth',2)
axis([0 10 -1 5])
axis off
subplot(3,1,3)
hold on
stem(x,y,'ok','MarkerEdgeColor','k','MarkerFaceColor','k','MarkerSize',4)
plot(xi,yi_c,'b','LineWidth',2)
axis([0 10 -1 5])
axis off