    clear testIn ilena
    N = 128;
    
%     testIn = uint8(256*smallPic(N)');

    mandril = picread('mandril.jpg');
    mandril = uint8(mandril.Y);
    testIn = mandril;
    
    figure
    imshow(uint8(testIn))
    title('Original test input')
    

    testOut = transformPicPerspective(double(testIn)/256);
    testOut = uint8(256*testOut);
    figure
    imshow(testOut)
    title('generated test output')
    
    fid = fopen('test_input.txt','w');
    fprintf(fid,'%d\n',testIn');
    fclose(fid);
    
    % output:
    
    %actOutput = uint8(reshape(textread('test_output.txt', '%d'),16,16)');
    
    oo = textread('test_output.txt', '%d');
    actOutput = uint8(reshape(oo(1:(N*N)),N,N));
    actOutput = actOutput';
    figure
    imshow(actOutput)
    title('actual test output')
    
    diff = uint8(abs(int16(testOut)-int16(actOutput)));
    figure
    imshow(diff)
    title('difference between actual and expected output')
    %print image:

    imwrite(testIn,'HW_test_input.png','png')
    imwrite(testOut,'HW_test_model_output.png','png')
    imwrite(actOutput,'HW_test_actual_output.png','png')
    imwrite(diff,'HW_test_diff.png','png')
