function pic = picread(filename)
% Read jpg (or similar) image from file, convert to Y'CrCb, susample chroma
% in both directions
rgb = imread(filename);

%% Make sure size is dividable by 4
s = 4;
rgb = rgb(1:floor(size(rgb,1)/s)*s, 1:floor(size(rgb,2)/s)*s, :);

% Convert to Y Cb Cr
YCbCr = double(rgb2ycbcr(rgb));

pic.Y = YCbCr(:, :, 1);

%%% subsample2 finnes ikke. bruker full scale farger
% pic.Cb = subsample2(YCbCr(:,:,2));
% pic.Cr = subsample2(YCbCr(:,:,3));
pic.Cb = YCbCr(:,:,2);
pic.Cr = YCbCr(:,:,3);
