function picshow(pic)

% How many lines available?
lines = floor(min(size(pic.Y,1)/2, size(pic.Cb,1)))*2;

YCbCr = zeros(lines, size(pic.Y,2), 3);
YCbCr(:,:,1) = pic.Y(1:lines,:);
YCbCr(:,:,2) = upsample2(pic.Cb(1:lines/2,:));
YCbCr(:,:,3) = upsample2(pic.Cr(1:lines/2,:));

rgb=ycbcr2rgb(uint8(YCbCr));

imshow(rgb);

