function points = angle2UnitSquare(theta)
h = 2;
r = 3;
% vectors:
X0 = [-h/2*cos(theta) -h/2 h/2*sin(theta)-r];
X3 = [-h/2*cos(theta)  h/2 h/2*sin(theta)-r];
X1 = [ h/2*cos(theta) -h/2 h/2*sin(theta)-r];
X2 = [ h/2*cos(theta)  h/2 h/2*sin(theta)-r];
a =  [-h/2*cos(theta)  0   h/2*sin(theta)-r];
b =  [ h/2*cos(theta)  0  -h/2*sin(theta)-r];
alpha_0 = acos(dot([h/2,-h/2,-r],[h/2,h/2,-r])/(norm([h/2,h/2,-r])^2));
beta_0 = acos(dot([h/2,0,-r],[-h/2,0,-r])/(norm([h/2,0,-r])^2));
% scale factors:
d_y_left  = (acos(dot(X0,X3)/(norm(X0)*norm(X3)))-alpha_0)/(2*alpha_0);
d_y_right = (acos(dot(X1,X2)/(norm(X1)*norm(X2)))-alpha_0)/(2*alpha_0);
d_x       = -(acos(dot(a,b)/(norm(a)*norm(b)))-beta_0)/(2*beta_0);

% the points: unit square -> transform
x0 = 0; y0 = 0;
x1 = 0; y1 = 1;
x2 = (1-d_x)/(1+2*d_y_left); y2 = (1-d_y_right)/(1+2*d_y_left)+0.5*(1-1/(1+2*d_y_left));
x3 = (1-d_x)/(1+2*d_y_left); y3 = d_y_right/(1+2*d_y_left)+0.5*(1-1/(1+2*d_y_left));

points =    [ x0 y0;
              x3 y3;
              x2 y2;
              x1 y1 ];

