function picOut = transformPic(picIn, angle)
[height, width] = size(picIn);
unitSquare = angle2UnitSquare(angle);
unitSquare = unitSquare*[width 0;0 height];
% figure
% plotUnitSquare(unitSquare)
origin = [0 0; width 0; width height; 0 height]; %origin
%nusq = [1-0.68 1-0.776 ;1 0; 1 1; 1-0.68 0.776]; %right-front transform
%(swap with unitSquare)
matrix = getMatrix(unitSquare, origin);

picOut = zeros(height, width);
for v = 1:height
    for u = 1:width
        [x, y] = mapPoint(u,v,matrix);
        picOut(height-v+1,u) = interpolatePoint(height-y,x,picIn);
    end
end
