theta = pi*0.25;

clena  = true;
cdots  = false;
cvic = false;
%close all
if(clena)
    clear lena tlena

    lena = picread('lena_color.jpg');
    lena = makeDiagonal(uint8(lena.Y));
    figure
    imshow(lena)
    title('Original lena image')

    tlena = transformPic(double(lena)/256,theta);
    figure
    imshow(tlena)
    title('lena in perspective, matrix-algorithm')
end

if(cdots)
    clear dot tdot

    dots = generateDots(512);
    figure
    imshow(dots)
    title('Original dot-image')

    tdot = transformPic(double(dots)/256,theta);
    figure
    imshow(tdot)
    title('dot-picture in perspective, matrix-algorithm')
end

if(cvic)
    clear vic ivic
    vic = picread('Victoria.png');
    vic = vic.Y/256;
    figure
    imshow(vic)
    title('Original Victoria image')

    tvic = transformPic(vic,theta);
    figure
    imshow(tvic)
    title('Victoria in perspective, matrix-algorithm')
end