% plot of the fow of left side of screen

h = 1;
r = 10;

v = 0:pi/4/100:pi/4; % rotation angle

fov_left = acos((h^2/4-h^2/2*cos(v)-r*h*sin(v)+r^2)./(3/4*h^2-h^2/2*cos(v)-r*h*sin(v)+r^2));
fov_right = acos((h^2/4-h^2/2*cos(v)+r*h*sin(v)+r^2)./(3/4*h^2-h^2/2*cos(v)+r*h*sin(v)+r^2));

plot(v/pi*180,fov_left/pi*180);
xlabel('rotation in degrees')
ylabel('field of view in degrees')
title('Field of view, blue = left side, red = right side')

hold on
plot(v/pi*180,fov_right/pi*180,'r');
hold off